chore(exec):Make recently created scripts executable
[EVA-2020-02.git] / exec / nfg_run_daily_jobs.sh
CommitLineData
abbcc791
SBS
1#!/bin/bash
2# Desc: A list of executables to be started every day at midnight.
3# Usage: nfg_run_daily_jobs.sh arg1
4# Input: arg1: path to directory containing ninfacyzga-1 repository
abbcc791
SBS
5# Note: Run this script daily at midnight using `cron`.
6
abbcc791
SBS
7nfg_base_dir="../";
8nfg_exec_dir="$nfg_base_dir"/exec;
9length_day_s=$((24 * 60 * 60)); # seconds
10
abbcc791
SBS
11yell() { echo "$0: $*" >&2; } # print script path and all args to stderr
12die() { yell "$*"; exit 111; } # same as yell() but non-zero exit status
13try() { "$@" || die "cannot $*"; } # runs args as command, reports args if command fails
abbcc791 14
0e3146f8 15# Note: Use '&' to run scripts and immediately detach them.
abbcc791 16
0e3146f8 17# Temperature
abbcc791 18
0e3146f8 19# Pressure
abbcc791 20
0e3146f8 21# Location
abbcc791 22
0e3146f8
SBS
23# Photograph
24photo_script_path="$nfg_exec_dir"/update_temp_photograph.sh;
25camera_name="DC1";
26timeout "$length_day_s"s /bin/bash "$photo_script_path" "$camera_name" &